/*
 Copyright 2009 Virginia Polytechnic Institute and State University  

 Licensed under the Apache License, Version 2.0 (the "License"); 
 you may not use this file except in compliance with the License. 
 You may obtain a copy of the License at 
 
 http://www.apache.org/licenses/LICENSE-2.0 

 Unless required by applicable law or agreed to in writing, software 
 distributed under the License is distributed on an "AS IS" BASIS, 
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 See the License for the specific language governing permissions and 
 limitations under the License. 
*/

#include <cstdlib>
#include <cstring>
#include <stdint.h>
#include <string>
#include <stdlib.h> 

#include <arpa/inet.h>
#include <iostream>
#include <netinet/in.h>
#include <netdb.h>
#include <fcntl.h>
#include <sys/ioctl.h>
#include <sys/mman.h>
#include <sys/socket.h>
#include <sys/types.h>
#include <sys/wait.h>

#include "sqlite3.h"

#include "vtcross/common.h"
#include "vtcross/containers.h"
#include "vtcross/debug.h"
#include "vtcross/error.h"
#include "vtcross/service_management_layer.h"
#include "vtcross/socketcomm.h"


int main(int argc, char *argv[])
{  

    if(argc < 5)
       ERROR(1, "Usage: %s config hostname shell_port client_port\n", argv[0]);
 
    ServiceManagementLayer SML(argv[1], argv[2], argv[3], atoi(argv[4]));
    SML.StartSMLServer();     
}
